## manpages-fr 3.27fr1.4

=== Makefile ===
#!/usr/bin/make -f
export LC_ALL=C

PO4AFLAGS = -k 100 --msgmerge-opt '-C ../po4a-local/po/compendium-$$lang.po'

# Directory containing timestamp files
stamp := stamp-dir/

# Create this directory to simplify timestamp management
DUMMY := $(shell mkdir -p $(stamp))

# function to create links
# It uses ".so" inclusions, even if the original link is a symbolic link
# examples:
#   $(call create_link,foo.1,bar.1)
#     creates the link bar.1 pointing to foo.1 in fr/man1
#   $(call create_link,../man1/foo.1,bar.2)
#     creates the link bar.2 in fr/man2 pointing to
#     ../man1/foo.1, i.e. fr/man1/foo.1
#     creates the fr/man2 directory if needed
#  The elif clause below is because pages from manpages-dev
#  can link to pages from manpages
define create_link
  echo -n "Creating link $(2) pointing to $(1)... "; \
  section1=`echo $(1) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  section2=`echo $(2) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  if ! expr $$section1 : "[1-9]" >/dev/null || ! expr $$section2 : "[1-9]" >/dev/null; then \
    echo "failed."; \
    exit 0; \
  fi; \
  if [ -e fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  elif [ -e ../manpages/fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  else \
    echo "ignored."; \
  fi
endef

#  Copy manual pages into top_build/build/C
setup-man: $(stamp)setup-man
$(stamp)setup-man:
	-rm -rf top_build
	mkdir -p top_build/build/C
	for i in $$(seq 8); do mkdir top_build/build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; \
	  for p in manpages manpages-dev; do \
		echo "Processing package $$p ..."; \
		tar cf - --exclude=.svn -C $$p C | tar xf - -C top_build/build; \
		tar cf - --exclude=.svn -C $$p C | tar tf - | sed -e '/\/$$/d' -e 's,^C/,,' > top_build/build/C/$$p.list; \
		sed -e 's/\.gz\b//g' top_build/build/C/link > top_build/build/C/$$p.link; \
	  done
	#  Remove empty directories, if any
	-rmdir top_build/build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	@echo "Convert encodings missing in Perl..."
	iconv -f armscii-8 -t utf-8 top_build/build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp \
	    && mv temp top_build/build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon/po4a-fixes.patch; do \
	  if test -f $$p; \
	  then \
	    cd top_build/build/C && patch -p1 < $$p; \
	    break; \
	  fi; \
	done
	touch $@

# Merge perkamon and po4a-local stuff into top_build/po4a
setup-po4a: $(stamp)setup-po4a
$(stamp)setup-po4a: $(stamp)setup-man
	-rm -rf top_build/po4a
	mkdir top_build/po4a
	# Copy perkamon/po4a directory into top_build
	-tar cf - --exclude=.svn -C perkamon po4a | tar xf - -C top_build
	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
	mkdir top_build/po4a/man-debian
	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
	# Addenda must be placed into top_build/po4a/add_fr
	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
	touch $@

# Modify top_build/po4a/man*/man*.cfg to discard files removed in Debian
discard-files: $(stamp)discard-files
$(stamp)discard-files: $(stamp)setup-po4a
	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile disable-removed
	touch $@

# Generate new POT files for man-pages as shipped in Debian
generate-pot: $(stamp)generate-pot
$(stamp)generate-pot: $(stamp)discard-files
	# Compendium and POT files for original strings
	msgcat --use-first perkamon/po4a/man*/po/man*.pot > po4a-local/po/man-pages-upstream.pot
	msgcat --use-first perkamon/po4a/man*/po/fr.po > po4a-local/po/compendium-fr.po
	# Generate new POT files for man-pages as shipped in Debian
	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force --no-translations $$f; done
	# Here goes the magic.  Put in po4a-local/po/man-pages-only-debian.pot
	# the strings which appear in man-pages shipped in Debian but not in
	# man-pages-upstream.pot
	cd top_build/po4a && msgcat --use-first man-debian/po/man-debian.pot man[0-9]*/po/man*.pot > ../../po4a-local/po/man-pages-dist-debian.pot
	cd po4a-local/po && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
	touch $@

# Update po4a-local/po/fr.po with po4a-local/po/man-pages-only-debian.pot
updatepo: $(stamp)updatepo
$(stamp)updatepo: $(stamp)generate-pot
	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
	msgmerge --previous po4a-local/po/fr.po po4a-local/po/man-pages-only-debian.pot > po4a-local/po/newfr.po
	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
	for f in top_build/po4a/man*/po/fr.po; do \
	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
	done
	touch $@

# Generate translations
translate: $(stamp)translate
$(stamp)translate: $(stamp)updatepo
	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force $(PO4AFLAGS) $$f; done
	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
	touch $@

clean:
	-rm -rf top_build
	-rm -f po4a-local/po/compendium-fr.po po4a-local/po/newfr.po po4a-local/po/man*.pot
	-rm -rf $(stamp)

postats: $(stamp)updatepo
	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile stats-fr

post-build: translate
	@set -e; cd top_build/build; \
	  for p in manpages manpages-dev; do \
	    rm -rf $$p; \
	    mkdir -p $$p/fr; \
	    for i in $$(seq 8); do mkdir $$p/fr/man$$i; done; \
	    for f in $$(cat C/$$p.list); do \
	      test -f fr/$$f || continue; \
	      cp fr/$$f $$p/fr/$$f; \
	    done; \
	    cd $$p; \
	    sed -e 's,[^ ]*/\([^/ ]*\),\1,g' ../C/$$p.link | while read line; do \
	      TARGET=`echo $$line | cut -d " " -f 1`; \
	      LINK=`echo $$line | cut -d " " -f 2`; \
	      $(call create_link,$$TARGET,$$LINK); \
	    done; \
	    cd ..; \
	  done
	# Remove empty directories
	rmdir top_build/build/manpages*/fr/man* 2>/dev/null || true

.PHONY: setup-man setup-po4a discard-files generate-pot updatepo translate post-build clean

=== debian/changelog ===
manpages-fr (3.27fr1.4-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.27-4.
  * Rebuild against manpages 3.27-1.

 -- Simon Paillard <spaillard@debian.org>  Wed, 17 Nov 2010 21:25:47 +0100

manpages-fr (3.26fr1.6-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.26-6.
  * Rebuild against manpages 3.26-1.
  * Fix a fuzzy string in tzfile.5.
  * Add missing .SH TRADUCTION line in Debian specific
    manual pages.
  * Change colophons to print manpages-fr in bold.

  [ Simon Paillard ]
  * Use --single-debian-patch dpkg-source option to keep Debian specific
    changes in constant filename (Closes: #599404)

 -- Simon Paillard <spaillard@debian.org>  Mon, 15 Nov 2010 22:58:23 +0100

manpages-fr (3.25fr1.4-1) unstable; urgency=low

  [ Denis Barbier ]
  * New perkamon release 3.25-4.
    Improvements in French translations:
     + madvise.2: Drop a spurious paragraph
     + gethostname.2 proc.5: Fix typos
     + man-pages.7: Include translations of section names
     + *.7 Fix encoding (Closes: #599116)
     + Fix many plural forms
  * debian/control: Add missing trailing slash to Vcs-Browser.
  * debian/rules: In get-orig-source target, build .orig.tar.bz2
    if it does not exist.
  * debian/control: Standards-Version: bumped to 3.9.1. No changes.

  [ Simon Paillard ]
  * debian/control: add myself as one of the Uploaders.

 -- Simon Paillard <spaillard@debian.org>  Mon, 04 Oct 2010 23:09:40 +0200

manpages-fr (3.25fr1.1-1) unstable; urgency=low

  [ Denis Barbier ]
  * Switch to perkamon.  French translations of manpages are now managed
    outside of Debian, the manpages-fr package ensures that those
    translations are synced with manpages{,-dev} Debian packages.
  * debian/source/format: Use "3.0 (quilt)", source tarball is now
    composed of 4 tarballs; the main one contains a single Makefile,
    upstream perkamon is a component, and manpages and manpages-dev
    Debian packages provide a component.
  * debian/copyright: Updated to mention new source.
  * New version: based on Debian manpages 3.25-1 and perkamon 3.25-1.
  * debian/control: Remove Replaces: manpages-fr (<= 2.31.1),
    this version is older than the one in oldstable.
  * debian/control: Add Breaks and Replaces manpages-fr-extra (<< 20100723),
    pthread_*.3 pages have been moved from glibc-doc into manpages-dev.
  * debian/rules: File rewritten to use perkamon.
  * debian/watch: Also track perkamon sources.

  [ Nicolas FRANCOIS (Nekral) ]
  * debian/control: Bump dependency on po4a (>= 0.39)
  * debian/control: Standards-Version: bumped to 3.8.4. No changes. 
  * debian/control: Added ${misc:Depends} to the dependencies.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 18 Aug 2010 21:53:14 +0200

manpages-fr (3.23.1-2) unstable; urgency=low

  * debian/rules: Only fix the "coding:" header if it is specified on the
    first line.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 31 Dec 2009 00:03:41 +0100

manpages-fr (3.23.1-1) unstable; urgency=low

  * New upstream versions.
  * Updated translations and reviews. Thanks to Simon Paillard.
  * debian/rules: Always recode manpages/C/man7/armscii-8.7 to UTF-8 (this
    encoding is not yet supported by Perl).
  * debian/rules: Fix the "coding:" header when the original page had one.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 19 Dec 2009 19:39:52 -0800

manpages-fr (3.22.1-4) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fixed typo in socket(7). Closes: #555557

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 19 Nov 2009 22:57:48 +0100

manpages-fr (3.22.1-3) unstable; urgency=low

  [ Nicolas FRANCOIS ]
  * Fixed typo in endian(3). Closes: #544882
  * Finished translation of cpuset(7) and capabilities(7).
  * Translation status: 100% translated.

  [ Simon Paillard ]
  * Fix [2-9]ème in [2-9]e

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 25 Sep 2009 23:32:44 -0500

manpages-fr (3.22.1-2) unstable; urgency=low

  * Fixed typo in signal(7). Closes: #544675

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 02 Sep 2009 13:11:20 +0200

manpages-fr (3.22.1-1) unstable; urgency=low

  * New upstream versions.
  * Translations status:
    + cpuid.4 (1 string)
    + capabilities.7 (15 strings)
    + cpuset.7 (202 strings, missing translation)
    + rtld-audit.7 (2 strings)
  * debian/control: Standards-Version: bumped to 3.8.3. No changes. 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 30 Aug 2009 13:19:37 +0200

manpages-fr (3.17.1-2) unstable; urgency=low

  * New upstream versions.
  * manpages/C/man7/armscii-8.7 recoded to UTF-8 (armscii-8 not supported by
    perl's Encode.pm yet). 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 01 May 2009 16:10:58 +0200

manpages-fr (3.17.1-1) unstable; urgency=low

  * New upstream versions.
  * 27588 translated, 2 fuzzy, 324 untranslated
  * missing translations for:
    - getifaddrs.3 (39/49)
    - cpuset.7 (112/314)
    - libc.7 (14/19)
    - rtld-audit.7 (72/129)
  * Pages are distributed in UTF-8, do not remove the pages which do not
    iconv successfully to latin1. Added lintian override for those pages.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * Bumped debhelper compatibility mode to 7 (dh_clean -k replaced by dh_prep)

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 19 Apr 2009 16:11:46 +0200

manpages-fr (3.15.1-1) unstable; urgency=low

  * New upstream versions. 
  * 26840 translated, 1 fuzzy, 234 untranslated

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 28 Feb 2009 16:27:58 +0100

manpages-fr (3.07.1-1) unstable; urgency=low

  * New upstream versions.
    + Translation statistics: 25921t12f278u
    + missing capabilities(7) and cpuset(7)
  * Fixed typo in sched_setscheduler(2). Closes: #498148


=== debian/control ===
Source: manpages-fr
Section: doc
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Uploaders: Thomas Huriaux <thomas.huriaux@gmail.com>, Simon Paillard <spaillard@debian.org>
Build-Depends: debhelper (>= 7), po4a (>= 0.39)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-manpages-fr/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-manpages-fr/trunk/

Package: manpages-fr
Architecture: all
Section: doc
Priority: optional
Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
Depends: ${misc:Depends}
Description: French version of the manual pages about using GNU/Linux
 This package contains the French translation of GNU/Linux manual pages
 for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Sections 1, 6 and 8 are provided by the respective applications. This
 package only includes the intro man page describing the section.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-fr-dev
Architecture: all
Section: doc
Priority: optional
Recommends: manpages-fr
Replaces: manpages-fr-extra (<< 20100723)
Breaks: manpages-fr-extra (<< 20100723)
Suggests: man-db | man-browser
Depends: ${misc:Depends}
Description: French version of the development manual pages
 These man pages are translations of the man pages which describe the
 Linux programming interface, including these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc package).

=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C

build:
	dh_testdir
	$(MAKE) post-build
	@for p in manpages manpages-dev; do \
	  find top_build/build/$$p -type f > debian/manpages-fr$${p#manpages}.manpages; \
	done

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean
	-rm -rf top_build
	-rm -f debian/manpages-fr.manpages debian/manpages-fr-dev.manpages
	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_lintian

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installman --language=fr -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

MIRRORSITE = http://ftp.fr.debian.org/debian

#  Source contains 4 tarballs:
#     manpages-fr_$v.orig.tar.bz2
#          contains only top-level Makefile
#     manpages-fr_$v.orig-perkamon.tar.bz2
#          perkamon sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
#     manpages-fr_$v.orig-manpages.tar.gz
#          is data.tar.gz from Debian manpages_$d_all.deb
#     manpages-fr_$v.orig-manpages-dev.tar.gz
#          is data.tar.gz from Debian manpages-dev_$d_all.deb
#
#  A Debian version number like 3.25fr2.4-3 is interpreted like this:
#   * This is the French translation of the Debian packages manpages{,-dev} 3.25-2
#   * It contains upstream French translations from perkamon 3.25-4
#   * This is the 3rd Debian revision
#
#  As dpkg-source does not cope well with binary files and broken
#  symlinks, manual pages are uncompressed.  Symbolic links
#  are removed and a file named 'link' contains the list of
#  such links.  Its format is:
#      target_man_page src_man_page
#  This file is used after pages are translated to create aliases
#  of translated manual pages.
get-orig-source:
	# First remove existing files and links
	-find manpages* -type f -o -name .svn -prune | xargs --no-run-if-empty rm
	-find manpages* -type l -o -name .svn -prune | xargs --no-run-if-empty rm
	-find perkamon -type f -o -name .svn -prune | xargs --no-run-if-empty rm
	# Now remove empty directories
	find manpages* -depth -type d -o -name .svn -prune | xargs --no-run-if-empty rmdir --ignore-fail-on-non-empty
	@set -e; \
	   v=$$(sed -e 1q debian/changelog | sed -e 's/.*(//' -e 's/).*//'); \
	   u=$$(echo $$v | sed -e 's/fr.*//'); \
	   d=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/\..*//'); \
	   p=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/-.*//' -e 's/.*\.//'); \
	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
	   if test ! -e ../manpages-fr_$${v}.orig-perkamon.tar.bz2; then \
	        uscan --no-symlink --download-current-version; \
	        mv ../perkamon-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon.tar.bz2; \
	   fi; \
	   tar jxf ../manpages-fr_$${v}.orig-perkamon.tar.bz2 -C perkamon --strip-components=1; \
	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
	        rm -rf manpages-fr; \
	        mkdir manpages-fr; \
	        cp Makefile manpages-fr/; \
	        tar jcf ../manpages-fr_$${v}.orig.tar.bz2 --numeric-owner manpages-fr; \
	        rm -rf manpages-fr; \
	   fi; \
	   for pkg in manpages manpages-dev; do \
		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; then \
			tar jxf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; \
			continue; \
		fi; \
		echo "Downloading package $$pkg ..."; \
		wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
		test -d $$pkg || mkdir $$pkg; \
		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
		echo "Processing package $$pkg ..."; \
		cd $$pkg; \
		mkdir C 2>/dev/null || true; \
		rm -f C/man?/*.? C/link; \
		for i in $$(seq 8); do mkdir C/man$$i 2>/dev/null || true; done; \
		for f in usr/share/man/man*/*.gz; do \
			if [ -L $$f ]; then \
				g=`readlink -m $$f | sed -e 's,.*/man/,,'`; \
				echo $$g /$$f >> C/link; \
			else \
				g=`echo $$f | sed -e 's,usr/share/man/,,' -e 's/\.gz$$//'`; \
				zcat $$f > C/$$g; \
			fi; \
		done; \
		rmdir C/man* 2>/dev/null || true; \
		LC_ALL=C sort C/link > temp && mv temp C/link; \
		cd ..; \
		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 ..."; \
		tar jcf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 --exclude=.svn --owner root --group root $$pkg/C; \
	   done
	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="dversionmangle=s/fr(\d+)\..*$/-$1/" \
  http://ftp.debian.org/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/fr\d+\.(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  https://alioth.debian.org/frs/download.php/\d+/perkamon-(.*).tar.bz2

## manpages-fr 3.32d0.2p4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 export LC_ALL=C
-
-PO4AFLAGS = -k 100 --msgmerge-opt '-C ../po4a-local/po/compendium-$$lang.po'
 
 # Directory containing timestamp files
 stamp := stamp-dir/
@@ -71,7 +69,7 @@
 	iconv -f armscii-8 -t utf-8 top_build/build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp \
 	    && mv temp top_build/build/C/man7/armscii-8.7
 	#  Apply patches to fix groff syntax errors which  prevent po4a processing
-	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon/po4a-fixes.patch; do \
+	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon-fr/po4a-fixes.patch; do \
 	  if test -f $$p; \
 	  then \
 	    cd top_build/build/C && patch -p1 < $$p; \
@@ -80,48 +78,65 @@
 	done
 	touch $@
 
-# Merge perkamon and po4a-local stuff into top_build/po4a
+# Compendium and POT files for translation of upstream Linux man-pages
+generate-upstream-pot: $(stamp)generate-upstream-pot
+$(stamp)generate-upstream-pot: $(stamp)setup-man
+	# Compendium and POT files for original strings
+	msgcat --use-first perkamon-fr/po4a/*/po/*.pot > top_build/man-pages-upstream.pot
+	msgcat --use-first perkamon-fr/po4a/*/po/fr.po > top_build/compendium-fr.po
+	touch $@
+
+# Merge perkamon-fr, perkamon and po4a-local stuff into top_build/po4a
 setup-po4a: $(stamp)setup-po4a
 $(stamp)setup-po4a: $(stamp)setup-man
 	-rm -rf top_build/po4a
-	mkdir top_build/po4a
-	# Copy perkamon/po4a directory into top_build
-	-tar cf - --exclude=.svn -C perkamon po4a | tar xf - -C top_build
+	$(MAKE) -C perkamon-fr unpack
+	# Copy perkamon-fr/perkamon/po4a directory into top_build
+	cp -a perkamon-fr/perkamon/po4a top_build
+	# Copy perkamon-fr/po4a directory into top_build
+	-tar cf - --exclude=.svn -C perkamon-fr po4a | tar xf - -C top_build
 	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
 	mkdir top_build/po4a/man-debian
 	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
 	# Addenda must be placed into top_build/po4a/add_fr
 	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
+	# Add stamp files to pretend that top_build has been generated by the Makefile
+	touch top_build/stamp-setup top_build/stamp-unpack
+	# Copy Makefile to simplify make commands
+	cp perkamon-fr/perkamon/Makefile top_build/
 	touch $@
 
-# Modify top_build/po4a/man*/man*.cfg to discard files removed in Debian
+# Modify top_build/po4a/*/*.cfg to discard files removed in Debian
 discard-files: $(stamp)discard-files
 $(stamp)discard-files: $(stamp)setup-po4a
-	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile disable-removed
+	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian disable-removed
+	touch $@
+
+# Print files added in Debian which have not been inserted into debian.cfg
+print-new-files: $(stamp)print-new-files
+$(stamp)print-new-files: $(stamp)setup-po4a
+	$(MAKE) -C top_build print-new-files
 	touch $@
 
 # Generate new POT files for man-pages as shipped in Debian
 generate-pot: $(stamp)generate-pot
-$(stamp)generate-pot: $(stamp)discard-files
-	# Compendium and POT files for original strings
-	msgcat --use-first perkamon/po4a/man*/po/man*.pot > po4a-local/po/man-pages-upstream.pot
-	msgcat --use-first perkamon/po4a/man*/po/fr.po > po4a-local/po/compendium-fr.po
+$(stamp)generate-pot: $(stamp)setup-po4a $(stamp)generate-upstream-pot $(stamp)discard-files $(stamp)print-new-files
 	# Generate new POT files for man-pages as shipped in Debian
-	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force --no-translations $$f; done
-	# Here goes the magic.  Put in po4a-local/po/man-pages-only-debian.pot
+	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr PO4AFLAGS="--force --no-translations"
+	# Here goes the magic.  Put in top_build/man-pages-only-debian.pot
 	# the strings which appear in man-pages shipped in Debian but not in
 	# man-pages-upstream.pot
-	cd top_build/po4a && msgcat --use-first man-debian/po/man-debian.pot man[0-9]*/po/man*.pot > ../../po4a-local/po/man-pages-dist-debian.pot
-	cd po4a-local/po && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
+	cd top_build && msgcat --use-first po4a/*/po/*.pot > man-pages-dist-debian.pot
+	cd top_build && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
 	touch $@
 
-# Update po4a-local/po/fr.po with po4a-local/po/man-pages-only-debian.pot
+# Update po4a-local/po/fr.po with top_build/man-pages-only-debian.pot
 updatepo: $(stamp)updatepo
 $(stamp)updatepo: $(stamp)generate-pot
 	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
-	msgmerge --previous po4a-local/po/fr.po po4a-local/po/man-pages-only-debian.pot > po4a-local/po/newfr.po
+	msgmerge --previous po4a-local/po/fr.po top_build/man-pages-only-debian.pot > po4a-local/po/newfr.po
 	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
-	for f in top_build/po4a/man*/po/fr.po; do \
+	for f in top_build/po4a/*/po/fr.po; do \
 	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
 	done
 	touch $@
@@ -129,17 +144,20 @@
 # Generate translations
 translate: $(stamp)translate
 $(stamp)translate: $(stamp)updatepo
-	set -e; cd top_build; for f in po4a/man*/man*.cfg; do po4a --force $(PO4AFLAGS) $$f; done
+	$(MAKE) -C top_build \
+       EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr \
+       PO4AFLAGS="-k 100 --msgmerge-opt '-C compendium-fr.po -C ../po4a-local/po/fr.po'"
 	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
 	touch $@
 
 clean:
 	-rm -rf top_build
-	-rm -f po4a-local/po/compendium-fr.po po4a-local/po/newfr.po po4a-local/po/man*.pot
+	-rm -f top_build/compendium-fr.po top_build/*.pot po4a-local/po/newfr.po
+	-$(MAKE) -C perkamon-fr $@
 	-rm -rf $(stamp)
 
 postats: $(stamp)updatepo
-	cd top_build && $(MAKE) -I../perkamon -f../perkamon/Makefile stats-fr
+	$(MAKE) -C top_build PO4A_SUBDIRS=man-debian stats-fr
 
 post-build: translate
 	@set -e; cd top_build/build; \

=== debian/changelog ===
manpages-fr (3.32d0.2p4-1) unstable; urgency=low

  [ Simon Paillard ]
  * New perkamon release 3.32-4.
     + isgreater.3: Improve description (Closes: #609034)
     + pipe.2: Fix typo (Closes: #647191)
  * Rebuild against manpages 3.32-0.2.
  * debian/watch: update for manpage/NMU, perkamon and new manpages-fr scheme
  * debian/control: Standards-Version: bumped to 3.9.2. No changes.

  [ Denis Barbier ]
  * Rewrite Makefile to allow building with recent perkamon-fr sources

 -- Simon Paillard <spaillard@debian.org>  Sat, 12 Nov 2011 02:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Thomas Huriaux <thomas.huriaux@gmail.com>, Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-manpages-fr/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-manpages-fr/trunk/
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git
 
 Package: manpages-fr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -47,16 +47,16 @@
 #  Source contains 4 tarballs:
 #     manpages-fr_$v.orig.tar.bz2
 #          contains only top-level Makefile
-#     manpages-fr_$v.orig-perkamon.tar.bz2
-#          perkamon sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
+#     manpages-fr_$v.orig-perkamon-fr.tar.bz2
+#          perkamon-fr sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
 #     manpages-fr_$v.orig-manpages.tar.gz
 #          is data.tar.gz from Debian manpages_$d_all.deb
 #     manpages-fr_$v.orig-manpages-dev.tar.gz
 #          is data.tar.gz from Debian manpages-dev_$d_all.deb
 #
-#  A Debian version number like 3.25fr2.4-3 is interpreted like this:
+#  A Debian version number like 3.25d2p4-3 is interpreted like this:
 #   * This is the French translation of the Debian packages manpages{,-dev} 3.25-2
-#   * It contains upstream French translations from perkamon 3.25-4
+#   * It contains upstream French translations from perkamon-fr 3.25-4
 #   * This is the 3rd Debian revision
 #
 #  As dpkg-source does not cope well with binary files and broken
@@ -70,21 +70,21 @@
 	# First remove existing files and links
 	-find manpages* -type f -o -name .svn -prune | xargs --no-run-if-empty rm
 	-find manpages* -type l -o -name .svn -prune | xargs --no-run-if-empty rm
-	-find perkamon -type f -o -name .svn -prune | xargs --no-run-if-empty rm
+	-find perkamon-fr -type f -o -name .svn -prune | xargs --no-run-if-empty rm
 	# Now remove empty directories
 	find manpages* -depth -type d -o -name .svn -prune | xargs --no-run-if-empty rmdir --ignore-fail-on-non-empty
 	@set -e; \
 	   v=$$(sed -e 1q debian/changelog | sed -e 's/.*(//' -e 's/).*//'); \
-	   u=$$(echo $$v | sed -e 's/fr.*//'); \
-	   d=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/\..*//'); \
-	   p=$$u-$$(echo $$v | sed -e 's/.*fr//' -e 's/-.*//' -e 's/.*\.//'); \
+	   u=$$(echo $$v | sed -e 's/d.*//'); \
+	   d=$$u-$$(echo $$v | sed -e 's/.*d//' -e 's/p.*//'); \
+	   p=$$u-$$(echo $$v | sed -e 's/.*p//' -e 's/-.*//'); \
 	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
 	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
-	   if test ! -e ../manpages-fr_$${v}.orig-perkamon.tar.bz2; then \
+	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; then \
 	        uscan --no-symlink --download-current-version; \
-	        mv ../perkamon-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon.tar.bz2; \
+	        mv ../perkamon-fr-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; \
 	   fi; \
-	   tar jxf ../manpages-fr_$${v}.orig-perkamon.tar.bz2 -C perkamon --strip-components=1; \
+	   tar jxf ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2 -C perkamon-fr --strip-components=1; \
 	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
 	        rm -rf manpages-fr; \
 	        mkdir manpages-fr; \
@@ -98,7 +98,11 @@
 			continue; \
 		fi; \
 		echo "Downloading package $$pkg ..."; \
-		wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
+		if test -e ../$${pkg}_$${d}_all.deb; then \
+			cp ../$${pkg}_$${d}_all.deb .; \
+		else \
+			wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
+		fi; \
 		test -d $$pkg || mkdir $$pkg; \
 		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
 		echo "Processing package $$pkg ..."; \

=== debian/watch ===
version=3
opts="dversionmangle=s/d(.+)p.*$/-$1/" \
  http://ftp.debian.org/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/d.*p(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  /frs/download.php/\d+/perkamon-fr-(.*).tar.bz2

## manpages-fr 3.35d0.1p2

=== Makefile ===
# Upstream version
V = 3.35

# Patch level, may be empty
P =

# These variables may be defined by derivatives
PO4AFLAGS ?= -k 100
LANGS ?=
WORK_DIR ?= .
PO4A_SUBDIRS ?= $(EXTRA_PO4A_SUBDIRS) \
	aio \
	boot \
	charset \
	complex \
	db \
	dirent \
	epoll \
	error \
	fcntl \
	filesystem \
	iconv \
	inotify \
	intro \
	keyutils \
	ld \
	linux_module \
	locale \
	man2 \
	man3 \
	man5 \
	man7 \
	math \
	memory \
	mqueue \
	net \
	netlink \
	numa \
	process \
	pthread \
	pwdgrp \
	regexp \
	rpc \
	sched \
	search \
	semaphore \
	signal \
	socket \
	special \
	stdio \
	stdlib \
	string \
	time \
	tty \
	unistd \
	utmp \
	wchar \
	wctype

all: translate

#  Download tarball
get-orig-source: man-pages-$(V).tar.gz
man-pages-$(V).tar.gz:
	wget http://man7.org/linux/man-pages/download/man-pages-$(V).tar.gz
	#wget http://www.kernel.org/pub/linux/docs/man-pages/man-pages-$(V).tar.bz2

#  Unpack sources
unpack: stamp-unpack

ifeq ($(findstring git,$(V)),)
stamp-unpack: stamp-unpack-release
	touch $@
else
stamp-unpack: stamp-unpack-git
	touch $@
endif

stamp-unpack-release:
	-rm -rf man-pages-$(V) man-pages
	$(MAKE) man-pages-$(V).tar.gz
	tar zxf man-pages-$(V).tar.gz
	#  Remove version from top-level directory so that V variable
	#  does not have to be used in targets below
	mv man-pages-$(V) man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

stamp-unpack-git:
	$(MAKE) clean
	-@git submodule add git://github.com/mkerrisk/man-pages.git man-pages-git
	git submodule init && git submodule update
	ln -s man-pages-git man-pages
	#  Remove stamp-setup to force re-run of 'setup' target
	-rm -f stamp-setup
	touch $@

#  Prepare sources for being used by po4a.
#  This target is called once after manual pages are unpacked.
setup: stamp-setup
stamp-setup: stamp-unpack
	-rm -rf build
	mkdir -p build/C
	for i in $$(seq 8); do mkdir build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; for f in man-pages/man?/*.?; do \
	  if sed -e '1,3!d' $$f | grep -q '^\.so'; \
	  then \
	    grep '^\.so' $$f | sed -e '1!d' -e 's/^\.so //' -e "s,$$, $${f#man-pages/}," >> build/C/link; \
	  else \
	    cp $$f build/C/$${f#man-pages/}; \
	  fi; \
	done
	LC_ALL=C sort build/C/link > temp && mv temp build/C/link
	#  Remove empty directories, if any
	-rmdir build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	iconv -f armscii-8 -t UTF-8 build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp && mv temp build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	if test -f po4a-fixes.patch; \
	then \
	  cd build/C && patch -p1 < $(CURDIR)/po4a-fixes.patch; \
	fi
	touch $@

clean::
	-rm -f stamp-* temp link
	-rm -rf man-pages build
	-rm -rf po4a/*/po
	#  Do not delete tarball in this target
	#rm -f man-pages-*.tar.bz2

reallyclean:: clean
	rm -f man-pages-*.tar.*

release: clean
	-rm -rf perkamon*
	mkdir perkamon
	cp man-pages-$(V).tar.gz perkamon/
	cp Makefile* README perkamon/
	-cp *.patch perkamon/
	tar cf - --exclude=.svn po4a | tar xf - -C perkamon
	ln -s perkamon perkamon-$(V)$(P)
	tar jchf perkamon-$(V)$(P).tar.bz2 --numeric-owner perkamon-$(V)$(P)

translate: $(patsubst %, process-%, $(PO4A_SUBDIRS))

translate-%: setup
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

process-%: translate-%
	@:

process-man7: translate-man7
	for f in $(WORK_DIR)/build/[!C]*/man7/*.7; \
	do \
	  test -e $$f || continue; \
	  sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; \
	done

cfg-%: FORCE
	po4a $(PO4AFLAGS) --variable langs='$(LANGS)' --previous --srcdir $(WORK_DIR) --destdir $(WORK_DIR) po4a/$*/$*.cfg

stats:: $(patsubst %, stats-%, $(LANGS))
stats-%:
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  echo -n "$$subs: " >&2; \
	  msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done
	@set -e; for subs in $(PO4A_SUBDIRS); do \
	  LC_ALL=C msgfmt --statistics -o /dev/null $(WORK_DIR)/po4a/$$subs/po/$*.po; \
	done 2>&1 | perl -e '$$f=$$t=$$u; while (<>) {if (/([0-9]*) translated/) {$$t+=$$1;} if (/([0-9]*) untranslated/) {$$u+=$$1;} if (/([0-9]*) fuzzy/) {$$f+=$$1;}} printf "%d translated, %d fuzzy, %d untranslated ==> %.2f%%\n", $$t, $$f, $$u, (100*$$t/($$t+$$f+$$u))'

disable-removed:
	@set -e; for f in po4a/*/*.cfg; do \
	  for i in $$(grep '^\[type: man\]' $$f | sed -e 's,.* build/C/,build/C/,' -e 's, \\,,'); do \
	    test -f $(WORK_DIR)/$$i && continue; \
	    echo "Missing file $$i disabled in $$f"; \
	    sed -i -e '/\[type: man\] '"$$(echo $$i | sed -e 's,/,\\/,g')"'/,/[^\\]$$/s/^/#/' $$f; \
	  done; \
	done

#  Run this target after a new upstream release to see if pages have been added.
#  Copy and paste output in po4a .cfg files
print-new-files:
	@set -e; for f in $(WORK_DIR)/build/C/man?/*.?; do \
	  l="$${f#$(WORK_DIR)/build/C/}"; \
	  grep -q "^\\[type: man\\] build/C/$$l" po4a/*/*.cfg && continue; \
	  o=$$(echo $$l | sed -e 's,/,/local-,'); \
	  printf '[type: man] %s \\\n\t%s \\\n' build/C/$$l "\$$lang:build/\$$lang/$$l"; \
	  if grep -q hlm $$f; then printf '\topt:"-o untranslated=hlm" \\\n'; fi; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-pre.list \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$o'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/perkamon \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/'$$l'.list \\\n'; \
	  printf '\tadd_$$lang:?po4a/add_$$lang/addendum \\\n'; \
	  printf '\tadd_$$lang:?@po4a/add_$$lang/lists/local-post.list\n'; \
	  echo; \
	done

.PHONY: unpack setup translate stats disable-removed print-new-files clean release FORCE

=== debian/changelog ===
manpages-fr (3.35d0.1p2-1) unstable; urgency=low

  [ Denis Barbier ]
  * New release, based on manpages 3.35-0.1 and perkamon 3.35-2:
    + new manpages: recvmmsg.2 rt_tgsigqueueinfo.2 setns.2 syncfs.2
      sigqueue.3 cciss.4 hpsa.4

  [ Simon Paillard ]
  * Translate debian-specific mallopt.3 
  * debian/control: Standards-Version: bumped to 3.9.3. No changes.

 -- Simon Paillard <spaillard@debian.org>  Wed, 21 Mar 2012 22:38:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
-Uploaders: Thomas Huriaux <thomas.huriaux@gmail.com>, Simon Paillard <spaillard@debian.org>
+Uploaders: Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
 Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git

=== debian/watch ===
version=3
opts="dversionmangle=s/d(.+)p.*$/-$1/" \
  http://ftp.fr.debian.org/debian/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/d.*p(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  /frs/download.php/\d+/perkamon-fr-(.*).tar.bz2

## manpages-fr 3.40d0.1p1

=== Makefile ===
#!/usr/bin/make -f
export LC_ALL=C

# Directory containing timestamp files
stamp := stamp-dir/

# Create this directory to simplify timestamp management
DUMMY := $(shell mkdir -p $(stamp))

# function to create links
# It uses ".so" inclusions, even if the original link is a symbolic link
# examples:
#   $(call create_link,foo.1,bar.1)
#     creates the link bar.1 pointing to foo.1 in fr/man1
#   $(call create_link,../man1/foo.1,bar.2)
#     creates the link bar.2 in fr/man2 pointing to
#     ../man1/foo.1, i.e. fr/man1/foo.1
#     creates the fr/man2 directory if needed
#  The elif clause below is because pages from manpages-dev
#  can link to pages from manpages
define create_link
  echo -n "Creating link $(2) pointing to $(1)... "; \
  section1=`echo $(1) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  section2=`echo $(2) | sed -e "s/^.*\.\([1-9]\)\([^1-9.][^.]*\)*$$/\1/"`; \
  if ! expr $$section1 : "[1-9]" >/dev/null || ! expr $$section2 : "[1-9]" >/dev/null; then \
    echo "failed."; \
    exit 0; \
  fi; \
  if [ -e fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  elif [ -e ../manpages/fr/man$$section1/$(1) ] && [ ! -e fr/man$$section2/$(2) ]; then \
    if [ ! -d fr/man$$section2 ]; then \
      mkdir fr/man$$section2; \
    fi; \
    echo ".so man$$section1/$(1)" > fr/man$$section2/$(2); \
    echo "done."; \
  else \
    echo "ignored."; \
  fi
endef

#  Copy manual pages into top_build/build/C
setup-man: $(stamp)setup-man
$(stamp)setup-man:
	-rm -rf top_build
	mkdir -p top_build/build/C
	for i in $$(seq 8); do mkdir top_build/build/C/man$$i; done
	#  Some manual pages are only aliases, they contain a single line
	#      .so target_man_page
	#  Create a file named 'link', its format is:
	#      target_man_page src_man_page
	#  This file is used after pages are translated to create aliases
	#  of translated manual pages.
	set -e; \
	  for p in manpages manpages-dev; do \
		echo "Processing package $$p ..."; \
		tar cf - --exclude=.svn -C $$p C | tar xf - -C top_build/build; \
		tar cf - --exclude=.svn -C $$p C | tar tf - | sed -e '/\/$$/d' -e 's,^C/,,' > top_build/build/C/$$p.list; \
		sed -e 's/\.gz\b//g' top_build/build/C/link > top_build/build/C/$$p.link; \
	  done
	#  Remove empty directories, if any
	-rmdir top_build/build/C/man* 2>/dev/null
	#  armscii-8 encoding is missing in Perl, convert to UTF-8 to make po4a work
	@echo "Convert encodings missing in Perl..."
	iconv -f armscii-8 -t utf-8 top_build/build/C/man7/armscii-8.7 | sed -e '1s/coding: ARMSCII-8/coding: UTF-8/' > temp \
	    && mv temp top_build/build/C/man7/armscii-8.7
	#  Apply patches to fix groff syntax errors which  prevent po4a processing
	for p in $(CURDIR)/debian-fixes.patch $(CURDIR)/perkamon-fr/po4a-fixes.patch; do \
	  if test -f $$p; \
	  then \
	    cd top_build/build/C && patch -p1 < $$p; \
	    break; \
	  fi; \
	done
	touch $@

# Compendium and POT files for translation of upstream Linux man-pages
generate-upstream-pot: $(stamp)generate-upstream-pot
$(stamp)generate-upstream-pot: $(stamp)setup-man
	# Compendium and POT files for original strings
	msgcat --use-first perkamon-fr/po4a/*/po/*.pot > top_build/man-pages-upstream.pot
	msgcat --use-first perkamon-fr/po4a/*/po/fr.po > top_build/compendium-fr.po
	touch $@

# Merge perkamon-fr, perkamon and po4a-local stuff into top_build/po4a
setup-po4a: $(stamp)setup-po4a
$(stamp)setup-po4a: $(stamp)setup-man
	-rm -rf top_build/po4a
	$(MAKE) -C perkamon-fr unpack
	# Copy perkamon-fr/perkamon/po4a directory into top_build
	cp -a perkamon-fr/perkamon/po4a top_build
	# Copy perkamon-fr/po4a directory into top_build
	-tar cf - --exclude=.svn -C perkamon-fr po4a | tar xf - -C top_build
	# Copy po4a-local/po and po4a-local/man-debian.cfg into top_build/po4a/man-debian
	mkdir top_build/po4a/man-debian
	tar cf - --exclude=.svn -C po4a-local po man-debian.cfg | tar xf - -C top_build/po4a/man-debian
	# Addenda must be placed into top_build/po4a/add_fr
	tar cf - --exclude=.svn -C po4a-local add_fr | tar xf - -C top_build/po4a
	# Add stamp files to pretend that top_build has been generated by the Makefile
	touch top_build/stamp-unpack-release
	touch top_build/stamp-unpack
	touch top_build/stamp-setup
	# Copy Makefile to simplify make commands
	cp perkamon-fr/perkamon/Makefile top_build/
	#  Apply patches to fix perkamon-fr/perkamon/Makefile
	test ! -f $(CURDIR)/makefile-fixes.patch || patch top_build/Makefile < $(CURDIR)/makefile-fixes.patch
	touch $@

# Modify top_build/po4a/*/*.cfg to discard files removed in Debian
discard-files: $(stamp)discard-files
$(stamp)discard-files: $(stamp)setup-po4a
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian disable-removed
	touch $@

# Print files added in Debian which have not been inserted into debian.cfg
print-new-files: $(stamp)print-new-files
$(stamp)print-new-files: $(stamp)setup-po4a
	$(MAKE) -C top_build print-new-files
	touch $@

# Generate new POT files for man-pages as shipped in Debian
generate-pot: $(stamp)generate-pot
$(stamp)generate-pot: $(stamp)setup-po4a $(stamp)generate-upstream-pot $(stamp)discard-files $(stamp)print-new-files
	# Generate new POT files for man-pages as shipped in Debian
	$(MAKE) -C top_build EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr PO4AFLAGS="--force --no-translations"
	# Here goes the magic.  Put in top_build/man-pages-only-debian.pot
	# the strings which appear in man-pages shipped in Debian but not in
	# man-pages-upstream.pot
	cd top_build && msgcat --use-first po4a/*/po/*.pot > man-pages-dist-debian.pot
	cd top_build && cat man-pages-upstream.pot | msgcat --less-than=2 man-pages-upstream.pot - man-pages-dist-debian.pot > man-pages-only-debian.pot
	touch $@

# Update po4a-local/po/fr.po with top_build/man-pages-only-debian.pot
updatepo: $(stamp)updatepo
$(stamp)updatepo: $(stamp)generate-pot
	# No fuzzy matching, otherwise string remains fuzzy even if there is a right entry in compendium
	msgmerge --previous po4a-local/po/fr.po top_build/man-pages-only-debian.pot > po4a-local/po/newfr.po
	msgattrib --no-obsolete po4a-local/po/newfr.po > po4a-local/po/fr.po
	for f in top_build/po4a/*/po/fr.po; do \
	  msgcat --use-first po4a-local/po/fr.po $$f | msgattrib --no-obsolete --no-fuzzy - > temp && mv temp $$f; \
	done
	touch $@

# Generate translations
translate: $(stamp)translate
$(stamp)translate: $(stamp)updatepo
	$(MAKE) -C top_build \
       EXTRA_PO4A_SUBDIRS=man-debian LANGS=fr \
       PO4AFLAGS="-k 100 --msgmerge-opt '-C compendium-fr.po -C ../po4a-local/po/fr.po'"
	set -e; cd top_build; for f in build/[!C]*/man7/*.7; do sed -i -e '1s/coding: *[^ ]*/coding: UTF-8/' $$f; done
	touch $@

clean:
	-rm -rf top_build
	-rm -f top_build/compendium-fr.po top_build/*.pot po4a-local/po/newfr.po
	-$(MAKE) -C perkamon-fr $@
	-rm -rf $(stamp)

postats: $(stamp)updatepo
	$(MAKE) -C top_build PO4A_SUBDIRS=man-debian stats-fr

post-build: translate
	@set -e; cd top_build/build; \
	  for p in manpages manpages-dev; do \
	    rm -rf $$p; \
	    mkdir -p $$p/fr; \
	    for i in $$(seq 8); do mkdir $$p/fr/man$$i; done; \
	    for f in $$(cat C/$$p.list); do \
	      test -f fr/$$f || continue; \
	      cp fr/$$f $$p/fr/$$f; \
	    done; \
	    cd $$p; \
	    sed -e 's,[^ ]*/\([^/ ]*\),\1,g' ../C/$$p.link | while read line; do \
	      TARGET=`echo $$line | cut -d " " -f 1`; \
	      LINK=`echo $$line | cut -d " " -f 2`; \
	      $(call create_link,$$TARGET,$$LINK); \
	    done; \
	    cd ..; \
	  done
	# Remove empty directories
	rmdir top_build/build/manpages*/fr/man* 2>/dev/null || true

.PHONY: setup-man setup-po4a discard-files generate-pot updatepo translate post-build clean

=== debian/changelog ===
manpages-fr (3.40d0.1p1-1) unstable; urgency=low

  [ David Prévot ]
  * debian/control: replaces manpages-fr-extra (<< 20120505) as getent.1 is
    now provided by manpages-fr.

  [ Simon Paillard ]
  * New release, based on manpages 3.40-0.1 and perkamon 3.32-4:
    + new manpages: manpages-dev/C/man2/process_vm_readv.2 sendmmsg.2
      get_nprocs_conf.3 malloc_get_state.3 malloc_trim.3 malloc_usable_size.3
      mcheck.3 scandirat.3 sigwait.3 getent.1
    + switch to upstream mallopt.3 translation (no more Debian specific)

 -- Simon Paillard <spaillard@debian.org>  Sun, 03 Jun 2012 18:47:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: all
 Section: doc
 Priority: optional
+Replaces: manpages-fr-extra (<< 20120505)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux
